## postgresql-common 238ubuntu0.1

=== debian/changelog ===
postgresql-common (238ubuntu0.1) jammy; urgency=medium

  * d/rules: do not stop service on package upgrades. (LP: #1973382)
  * Fix set_conffile_value comment parsing regular expression. (LP: #2007794)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 10 Apr 2023 18:33:20 -0300

=== debian/control ===
Source: postgresql-common
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Martin Pitt <mpitt@debian.org>,
 Christoph Berg <myon@debian.org>,
 Peter Eisentraut <petere@debian.org>,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-common.git
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-common
Build-Depends:
 debhelper-compat (= 13),

Package: postgresql-common
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends:
 adduser,
 debconf (>= 0.5.00) | debconf-2.0,
 libjson-perl,
 lsb-base (>= 3.0-3),
 postgresql-client-common (= ${source:Version}),
 ssl-cert (>= 1.0.11),
 ucf,
 ${misc:Depends},
 ${perl:Depends},
Recommends:
 e2fsprogs,
 logrotate,
Breaks:
 postgresql-9.1 (<< 9.1.1-3~),
# pg_buildext moved pg-s-d-all in 204
 postgresql-server-dev-all (<< 204),
Replaces:
 postgresql-server-dev-all (<< 204),
Description: PostgreSQL database-cluster manager
 The postgresql-common package provides a structure under which
 multiple versions of PostgreSQL may be installed and/or multiple
 clusters maintained at one time.
 .
 The commands provided are pg_conftool, pg_createcluster, pg_ctlcluster,
 pg_dropcluster, pg_lsclusters, pg_renamecluster, pg_upgradecluster,
 pg_virtualenv.
 .
 PostgreSQL is a fully featured object-relational database management
 system. It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects. Its features include ACID
 transactions, foreign keys, views, sequences, subqueries, triggers,
 outer joins, multiversion concurrency control, and user-defined types
 and functions.

Package: postgresql-client-common
Architecture: all
Multi-Arch: foreign
Depends:
 netbase,
 ${misc:Depends},
 ${perl:Depends},
 ${pgdg:Depends},
Description: manager for multiple PostgreSQL client versions
 The postgresql-client-common package provides a structure under which
 multiple versions of PostgreSQL client programs may be installed at
 the same time. It provides a wrapper which selects the right version
 for the particular cluster you want to access (with a command line
 option, an environment variable, /etc/postgresql-common/user_clusters,
 or ~/.postgresqlrc).
 .
 PostgreSQL is a fully featured object-relational database management
 system. It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects. Its features include ACID
 transactions, foreign keys, views, sequences, subqueries, triggers,
 outer joins, multiversion concurrency control, and user-defined types
 and functions.

Package: postgresql-server-dev-all
Architecture: any
Multi-Arch: same
Depends:
 make:any,
 postgresql-common (= ${source:Version}),
 ${misc:Depends},
 ${server-dev-all-depends},
Description: extension build tool for multiple PostgreSQL versions
 The postgresql-server-dev-all package provides the pg_buildext script for
 simplifying packaging of a PostgreSQL extension supporting multiple major
 versions of the product, and dh_make_pgxs which builds a template debian/
 source package directory based on pg_buildext.
 .
 PostgreSQL is a fully featured object-relational database management
 system. It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects. Its features include ACID
 transactions, foreign keys, views, sequences, subqueries, triggers,
 outer joins, multiversion concurrency control, and user-defined types
 and functions.

Package: postgresql
Architecture: all
Depends:
 postgresql-${default-version},
 ${misc:Depends},
Suggests:
 postgresql-doc,
Description: object-relational SQL database (supported version)
 This metapackage always depends on the currently supported PostgreSQL
 database server version.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

Package: postgresql-client
Architecture: all
Multi-Arch: foreign
Depends:
 postgresql-client-${default-version},
 ${misc:Depends},
Description: front-end programs for PostgreSQL (supported version)
 This metapackage always depends on the currently supported database
 client package for PostgreSQL.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

Package: postgresql-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 postgresql-doc-${default-version},
 ${misc:Depends},
Description: documentation for the PostgreSQL database management system
 This metapackage always depends on the currently supported PostgreSQL
 database documentation package.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

Package: postgresql-contrib
Architecture: all
Depends:
 postgresql-contrib-${default-version},
 ${misc:Depends},
Description: additional facilities for PostgreSQL (supported version)
 This metapackage always depends on the currently supported PostgreSQL
 database contrib package.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

Package: postgresql-all
Architecture: all
Depends:
 libecpg-dev,
 libpq-dev,
 postgresql-common (= ${source:Version}),
 postgresql-server-dev-all,
 ${postgresql-all-depends},
 ${misc:Depends},
Description: metapackage depending on all PostgreSQL server packages
 This metapackage depends on all PostgreSQL server packages, in all
 supported versions (excluding documentation and debug symbols). It
 exists to facilitate depending on the server packages in test
 environments.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

=== debian/rules ===
#!/usr/bin/make -f

VERSION := $(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
ifneq ($(findstring bpo,$(VERSION)),)
	FLAVOR := debian-backports
else ifneq ($(findstring pgdg,$(VERSION)),)
	FLAVOR := pgdg
	# for apt.postgresql.org builds, pull in the repository key package
	PGDG_DEPENDS := pgdg-keyring
else
	FLAVOR := default
endif
SUPPORTED_VERSIONS := $(shell PG_SUPPORTED_VERSIONS="$(FLAVOR)" debian/supported-versions)
DEFAULT_VER := $(lastword $(SUPPORTED_VERSIONS))

#py2#PYTHON2_PACKAGE=postgresql-plpython-$v

%:
	dh $@

override_dh_auto_configure:
	@echo "### Building postgresql-common flavor $(FLAVOR)"
	@echo "### Supported PostgreSQL versions: $(SUPPORTED_VERSIONS) (default version: $(DEFAULT_VER))"
	echo "# See /usr/share/postgresql-common/supported-versions for documentation of this file" > supported_versions
	echo "$(FLAVOR)" >> supported_versions

# do not (re)start postgresql.service on postgresql-common install/upgrades
override_dh_installinit:
	dh_installinit -ppostgresql-common --name=postgresql -u'defaults 19 21' --no-start --no-stop-on-upgrade
override_dh_installsystemd:
	dh_installsystemd --no-start --no-stop-on-upgrade

override_dh_gencontrol:
	dh_gencontrol -ppostgresql-server-dev-all -- -Vserver-dev-all-depends="$(foreach v,$(SUPPORTED_VERSIONS),postgresql-server-dev-$v,)"

	# the versionless metapackages need to have version numbers which match
	# the server version, not the p-common version
	dh_gencontrol -ppostgresql -ppostgresql-client -ppostgresql-doc -ppostgresql-contrib -- \
		-Vdefault-version="$(DEFAULT_VER)" -v'$(DEFAULT_VER)+$${source:Version}'

	dh_gencontrol -ppostgresql-client-common -- \
		-Vpgdg:Depends="$(PGDG_DEPENDS)"

	dh_gencontrol -ppostgresql-all -- \
		-Vpostgresql-all-depends="$(foreach v,$(SUPPORTED_VERSIONS),postgresql-contrib-$v,postgresql-plperl-$v,$(if $(filter 8.% 9.% 10 11, $v), $(PYTHON2_PACKAGE)),postgresql-plpython3-$v,postgresql-pltcl-$v,)"

	dh_gencontrol --remaining-packages

## postgresql-common 238+11.0trisquel1

=== debian/changelog ===
postgresql-common (238+11.0trisquel1) aramo; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 22 Jun 2022 19:56:44 +0000

## postgresql-common 242ubuntu1

=== debian/changelog ===
postgresql-common (242ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1986981). Remaining changes:
    - d/rules: do not stop service on package upgrades. (LP #1973382)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 18 Aug 2022 14:38:54 -0300

postgresql-common (242) unstable; urgency=medium

  * server/postgresql.mk: Tell pg_upgrade to create sockets in /tmp.
  * pg_virtualenv: Unset PGHOSTADDR PGPORT PGSERVICE.

 -- Christoph Berg <myon@debian.org>  Thu, 11 Aug 2022 11:25:31 +0200

postgresql-common (241ubuntu1) kinetic; urgency=medium

  * d/rules: do not stop service on package upgrades. (LP: #1973382)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 16 May 2022 09:58:44 -0300

postgresql-common (241) unstable; urgency=medium

  * Remove stats_temp_directory in PG 15.
  * server/postgresql.mk: Fix detection of latest llvm version.
  * server/postgresql.mk: Remove builddir prefix from generated pg_config.
  * t/045_backup.t: Accept new PG15 psql -l output.

 -- Christoph Berg <myon@debian.org>  Wed, 11 May 2022 15:57:04 +0200

postgresql-common (240) unstable; urgency=medium

  * t/085_pg_ctl.conf.t: Honor systemd hard core file size limit.

 -- Christoph Berg <myon@debian.org>  Mon, 14 Mar 2022 12:12:02 +0100

postgresql-common (239) unstable; urgency=medium

  * t/085_pg_ctl.conf.t: sudo and salsa-ci set the core file size hard limit
    to 0 by default, undo that. (Salsa: postgresql/postgresql#2)

 -- Christoph Berg <myon@debian.org>  Fri, 11 Mar 2022 12:03:17 +0100

## postgresql-common 242ubuntu1.1

=== debian/changelog ===
postgresql-common (242ubuntu1.1) kinetic; urgency=medium

  * Fix set_conffile_value comment parsing regular expression. (LP: #2007794)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 10 Apr 2023 18:31:16 -0300

## postgresql-common 242.pgdg18.04+~20220719.1050.g1452512

=== debian/changelog ===
postgresql-common (242.pgdg18.04+~20220719.1050.g1452512) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Re-enable plpython2 packages.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 20 Jun 2022 15:11:44 +0200

postgresql-common (242) UNRELEASED; urgency=medium

  * server/postgresql.mk: Tell pg_upgrade to create sockets in /tmp.
  * pg_virtualenv: Unset PGHOSTADDR PGPORT PGSERVICE.

 -- Christoph Berg <myon@debian.org>  Mon, 20 Jun 2022 15:11:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Martin Pitt <mpitt@debian.org>,
  Christoph Berg <myon@debian.org>,
@@ -12,7 +11,7 @@
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-common.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-common
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 11),
 
 Package: postgresql-common
 Architecture: all

## postgresql-common 242.pgdg18.04+1

=== debian/changelog ===
postgresql-common (242.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Re-enable plpython2 packages.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 11 Aug 2022 11:25:31 +0200

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 SUPPORTED_VERSIONS := $(shell PG_SUPPORTED_VERSIONS="$(FLAVOR)" debian/supported-versions)
 DEFAULT_VER := $(lastword $(SUPPORTED_VERSIONS))
 
-#py2#PYTHON2_PACKAGE=postgresql-plpython-$v
+PYTHON2_PACKAGE=postgresql-plpython-$v
 
 %:
 	dh $@
@@ -26,9 +26,9 @@
 
 # do not (re)start postgresql.service on postgresql-common install/upgrades
 override_dh_installinit:
-	dh_installinit -ppostgresql-common --name=postgresql -u'defaults 19 21' --no-start --no-stop-on-upgrade
+	dh_installinit -ppostgresql-common --name=postgresql -u'defaults 19 21' --no-start
 override_dh_installsystemd:
-	dh_installsystemd --no-start --no-stop-on-upgrade
+	dh_installsystemd --no-start
 
 override_dh_gencontrol:
 	dh_gencontrol -ppostgresql-server-dev-all -- -Vserver-dev-all-depends="$(foreach v,$(SUPPORTED_VERSIONS),postgresql-server-dev-$v,)"

## postgresql-common 242.pgdg20.04+~20220719.1050.g1452512

=== debian/changelog ===
postgresql-common (242.pgdg20.04+~20220719.1050.g1452512) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 20 Jun 2022 15:11:44 +0200

## postgresql-common 242.pgdg20.04+1

=== debian/changelog ===
postgresql-common (242.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 11 Aug 2022 11:25:31 +0200

## postgresql-common 242.pgdg21.10+~20220719.1050.g1452512

=== debian/changelog ===
postgresql-common (242.pgdg21.10+~20220719.1050.g1452512) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 20 Jun 2022 15:11:44 +0200

## postgresql-common 242.pgdg22.04+1

=== debian/changelog ===
postgresql-common (242.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 11 Aug 2022 11:25:31 +0200

## postgresql-common 242.pgdg90+~20220719.1050.g1452512

=== debian/changelog ===
postgresql-common (242.pgdg90+~20220719.1050.g1452512) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Re-enable plpython2 packages.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 20 Jun 2022 15:11:44 +0200

## postgresql-common 242.pgdg90+1

=== debian/changelog ===
postgresql-common (242.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Re-enable plpython2 packages.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 11 Aug 2022 11:25:31 +0200

## postgresql-common 242.pgdg100+~20220719.1050.g1452512

=== debian/changelog ===
postgresql-common (242.pgdg100+~20220719.1050.g1452512) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Re-enable plpython2 packages.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 20 Jun 2022 15:11:44 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-common.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-common
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 12),
 
 Package: postgresql-common
 Architecture: all

## postgresql-common 242.pgdg110+~20220719.1050.g1452512

=== debian/changelog ===
postgresql-common (242.pgdg110+~20220719.1050.g1452512) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 20 Jun 2022 15:11:44 +0200

## postgresql-common 242.pgdg110+1

=== debian/changelog ===
postgresql-common (242.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 11 Aug 2022 11:25:31 +0200

## postgresql-common 242.pgdg120+~20220719.1050.g1452512

=== debian/changelog ===
postgresql-common (242.pgdg120+~20220719.1050.g1452512) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 20 Jun 2022 15:11:44 +0200

## postgresql-common 242.pgdg120+1

=== debian/changelog ===
postgresql-common (242.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 11 Aug 2022 11:25:31 +0200

## postgresql-common 242.pgdg+~20220719.1050.g1452512

=== debian/changelog ===
postgresql-common (242.pgdg+~20220719.1050.g1452512) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 20 Jun 2022 15:11:44 +0200

## postgresql-common 242.pgdg+1

=== debian/changelog ===
postgresql-common (242.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 11 Aug 2022 11:25:31 +0200

## postgresql-common 243.pgdg18.04+~20220816.1119.g5f732f3

=== debian/changelog ===
postgresql-common (243.pgdg18.04+~20220816.1119.g5f732f3) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Re-enable plpython2 packages.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 15 Aug 2022 11:12:42 +0200

postgresql-common (243) UNRELEASED; urgency=medium

  * pg_backupcluster: Enable gzip compression with pg_receivewal.

 -- Christoph Berg <myon@debian.org>  Mon, 15 Aug 2022 11:12:42 +0200

## postgresql-common 243.pgdg20.04+~20220816.1119.g5f732f3

=== debian/changelog ===
postgresql-common (243.pgdg20.04+~20220816.1119.g5f732f3) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 15 Aug 2022 11:12:42 +0200

## postgresql-common 243.pgdg22.04+~20220816.1119.g5f732f3

=== debian/changelog ===
postgresql-common (243.pgdg22.04+~20220816.1119.g5f732f3) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 15 Aug 2022 11:12:42 +0200

## postgresql-common 243.pgdg100+~20220816.1119.g5f732f3

=== debian/changelog ===
postgresql-common (243.pgdg100+~20220816.1119.g5f732f3) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Re-enable plpython2 packages.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 15 Aug 2022 11:12:42 +0200

## postgresql-common 243.pgdg110+~20220816.1119.g5f732f3

=== debian/changelog ===
postgresql-common (243.pgdg110+~20220816.1119.g5f732f3) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 15 Aug 2022 11:12:42 +0200

## postgresql-common 243.pgdg120+~20220816.1119.g5f732f3

=== debian/changelog ===
postgresql-common (243.pgdg120+~20220816.1119.g5f732f3) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 15 Aug 2022 11:12:42 +0200

## postgresql-common 243.pgdg+~20220816.1119.g5f732f3

=== debian/changelog ===
postgresql-common (243.pgdg+~20220816.1119.g5f732f3) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 15 Aug 2022 11:12:42 +0200

## postgresql-common 246

=== debian/changelog ===
postgresql-common (246) unstable; urgency=medium

  * pg_buildext: If PGVERSION appears outside the package name only, fill in
    the newest supported version.
  * pg_wrapper: Select cluster based on port number as well.
  * t/020_create_sql_remove.t: Fix pgwrapper+psql version test on pre-9.2.
  * pgdg: Include .asc and .gpg keys from pgdg-keyring; upgrade
    apt.postgresql.org.sh to write pgdg.sources instead of pgdg.list.

 -- Christoph Berg <myon@debian.org>  Thu, 10 Nov 2022 15:06:56 +0100

postgresql-common (245) unstable; urgency=medium

  [ Marco Nenciarini ]
  * pgdg: fix unbound variable error with empty PGVERSION.

  [ Christoph Berg ]
  * server/postgresql.mk: EXCLUDE_PACKAGES to skip building libs, used now for
    postgresql-14 in bookworm when postgresql-15 has already been uploaded.
  * server/postgresql.mk: Skip building -doc package when nodoc is selected.

 -- Christoph Berg <myon@debian.org>  Sat, 22 Oct 2022 14:46:03 +0200

postgresql-common (244) unstable; urgency=medium

  * debian/supported-versions: Bump default version to 15.
  * dh_install{init,systemd}: Use --no-stop-on-upgrade and to not restart any
    services on postgresql-common upgrades. (Closes: #1011067)
  * debian/maintscripts-functions: Add -v to pg_upgradecluster template to
    stay on the same major version on catversion upgrades.
  * pg_upgradecluster: Fix port handling when --rename is used.

 -- Christoph Berg <myon@debian.org>  Fri, 14 Oct 2022 10:59:12 +0200

postgresql-common (243) unstable; urgency=medium

  * pg_backupcluster: Enable gzip compression with pg_receivewal.
  * next_free_port: Set SO_REUSEADDR and listen() on sockets created.
  * t/TestLib.pm check_clean: Use ss from iproute2 instead of netstat.
  * debian/supported-versions: Don't look at the OS release, we'll just ship
    the matching file in that release.
  * Test-depend on locales-all.
  * pgcommon.sh: Remove, dropping get_release and locale_gen.
  * postgresql.service: Improve comment explaining the relation to
    postgresql@.service.
  * testsuite: Run all tests even when one is failing.
  * pg_wrapper: If the cluster version is older than 9.2, consider psql only
    up to version 14 instead of the newest version.
  * Use grep -E instead of egrep.
  * debian/rules: Use DEB_VERSION instead of dpkg-parsechangelog.

 -- Christoph Berg <myon@debian.org>  Thu, 08 Sep 2022 15:34:54 +0200

## postgresql-common 248

=== debian/changelog ===
postgresql-common (248) unstable; urgency=medium

  [ Christoph Berg ]
  * Update ro debconf translation, mulțumesc Remus-Gabriel Chelu!

  [ Athos Ribeiro ]
  * Fix set_conffile_value comment parsing regular expression.

 -- Christoph Berg <myon@debian.org>  Tue, 14 Mar 2023 15:19:01 +0100

postgresql-common (247) unstable; urgency=medium

  [ Christoph Berg ]
  * Update pt_BR debconf translation, thanks Paulo Henrique de Lima Santana!
    (Closes: #1024197)
  * postgresql.mk: Ignore test failures on alpha.
  * pgdg/apt.postgresql.org.sh: Fix version comparisons for 9.x.
  * pg_upgradecluster: Remove promote_trigger_file in PG16.
  * t/200_maintscripts.t: Run apt-get update before reinstalling pg-common.

  [ Dennis Schwan ]
  * Fix pgsql-XX isn't numeric in numeric comparison. (Salsa #31)

 -- Christoph Berg <myon@debian.org>  Thu, 09 Feb 2023 11:28:43 +0100

=== debian/tests/control ===
Tests: default-psql
Depends:
 postgresql,
Restrictions: needs-root

Tests: run-testsuite
Depends:
 build-essential,
 debhelper,
 fakeroot,
 hunspell-en-us,
 iproute2,
 locales-all,
 logrotate,
 netcat-openbsd,
 perl,
 postgresql-all,
 procps,
Restrictions: needs-root

## postgresql-common 248A~5.0.0.202503141122

=== debian/changelog ===
postgresql-common (248A~5.0.0.202503141122) ucs5-0-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    01_backport_to_buster.patch
    02_disable_message_about_legacy-postgresql-11.patch

 -- Univention builddaemon <buildd@univention.de>  Fri, 14 Mar 2025 11:22:39 -0000

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,13 @@
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-common.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-common
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 12),
 
 Package: postgresql-common
 Architecture: all
 Multi-Arch: foreign
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
 Depends:
  adduser,
  debconf (>= 0.5.00) | debconf-2.0,
@@ -30,11 +31,14 @@
 Recommends:
  e2fsprogs,
  logrotate,
+Conflicts:
+ pgdg-keyring,
 Breaks:
  postgresql-9.1 (<< 9.1.1-3~),
 # pg_buildext moved pg-s-d-all in 204
  postgresql-server-dev-all (<< 204),
 Replaces:
+ pgdg-keyring,
  postgresql-server-dev-all (<< 204),
 Description: PostgreSQL database-cluster manager
  The postgresql-common package provides a structure under which
@@ -59,7 +63,6 @@
  netbase,
  ${misc:Depends},
  ${perl:Depends},
- ${pgdg:Depends},
 Description: manager for multiple PostgreSQL client versions
  The postgresql-client-common package provides a structure under which
  multiple versions of PostgreSQL client programs may be installed at
@@ -176,8 +179,8 @@
  libpq-dev,
  postgresql-common (= ${source:Version}),
  postgresql-server-dev-all,
+ ${misc:Depends},
  ${postgresql-all-depends},
- ${misc:Depends},
 Description: metapackage depending on all PostgreSQL server packages
  This metapackage depends on all PostgreSQL server packages, in all
  supported versions (excluding documentation and debug symbols). It

## postgresql-common 248A~5.1.0.202412031601

=== debian/changelog ===
postgresql-common (248A~5.1.0.202412031601) ucs5-1-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    00_version_bump.patch

 -- Univention builddaemon <buildd@univention.de>  Tue, 03 Dec 2024 16:01:39 -0000

## postgresql-common 248A~5.2.0.202412031613

=== debian/changelog ===
postgresql-common (248A~5.2.0.202412031613) ucs5-2-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    00_version_bump.patch

 -- Univention builddaemon <buildd@univention.de>  Tue, 03 Dec 2024 16:13:31 -0000

## postgresql-common 248%2Bdeb12u1

=== debian/changelog ===
postgresql-common (248+deb12u1) bookworm; urgency=medium

  * PgCommon.pm: Set defined path in prepare_exec. Fixes compatibility with
    trixie's perl version, and also a mild security issue. Thanks Niko Tyni!
    (Closes: #1107154)

 -- Christoph Berg <myon@debian.org>  Tue, 03 Jun 2025 15:03:54 +0200

## postgresql-common 248+deb12u1

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-common.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-common
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
 
 Package: postgresql-common
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

ifneq ($(findstring bpo,$(DEB_VERSION)),)
	FLAVOR := debian-backports
else ifneq ($(findstring pgdg,$(DEB_VERSION)),)
	FLAVOR := pgdg
else
	FLAVOR := default
endif
SUPPORTED_VERSIONS := $(shell PG_SUPPORTED_VERSIONS="$(FLAVOR)" debian/supported-versions)
DEFAULT_VER := $(lastword $(SUPPORTED_VERSIONS))

#py2#PYTHON2_PACKAGE=postgresql-plpython-$v

%:
	dh $@

override_dh_auto_configure:
	@echo "### Building postgresql-common flavor $(FLAVOR)"
	@echo "### Supported PostgreSQL versions: $(SUPPORTED_VERSIONS) (default version: $(DEFAULT_VER))"
	echo "# See /usr/share/postgresql-common/supported-versions for documentation of this file" > supported_versions
	echo "$(FLAVOR)" >> supported_versions

# do not restart postgresql.service on postgresql-common upgrades
override_dh_installinit:
	dh_installinit -ppostgresql-common --name=postgresql -u'defaults 19 21' --no-stop-on-upgrade
override_dh_installsystemd:
	dh_installsystemd --no-stop-on-upgrade

override_dh_gencontrol:
	dh_gencontrol -ppostgresql-server-dev-all -- -Vserver-dev-all-depends="$(foreach v,$(SUPPORTED_VERSIONS),postgresql-server-dev-$v,)"

	# the versionless metapackages need to have version numbers which match
	# the server version, not the p-common version
	dh_gencontrol -ppostgresql -ppostgresql-client -ppostgresql-doc -ppostgresql-contrib -- \
		-Vdefault-version="$(DEFAULT_VER)" -v'$(DEFAULT_VER)+$${source:Version}'

	dh_gencontrol -ppostgresql-all -- \
		-Vpostgresql-all-depends="$(foreach v,$(SUPPORTED_VERSIONS),postgresql-contrib-$v,postgresql-plperl-$v,$(if $(filter 8.% 9.% 10 11, $v), $(PYTHON2_PACKAGE)),postgresql-plpython3-$v,postgresql-pltcl-$v,)"

	dh_gencontrol --remaining-packages

=== dh_make_pgxs/debian/watch ===
version=4
@URL@/tags .*/(.*).tar.gz

## postgresql-common 248+deb12u1A~5.2.4.202511281407

=== debian/changelog ===
postgresql-common (248+deb12u1A~5.2.4.202511281407) ucs5-2-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    00_version_bump.patch

 -- Univention builddaemon <buildd@univention.de>  Fri, 28 Nov 2025 14:09:02 -0000

## postgresql-common 248+deb12u1pureos1

=== debian/changelog ===
postgresql-common (248+deb12u1pureos1) crimson; urgency=medium

  * Merge with Debian bookworm, remaining PureOS changes:
    - detect PureOS releases, similar to Debian testing/unstable;
      closes: PureOS:261

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Tue, 09 Sep 2025 05:28:19 +0200

postgresql-common (248pureos1) crimson; urgency=medium

  * Merge with Debian bookworm, remaining PureOS changes:
    - detect PureOS releases, similar to Debian testing/unstable;
      closes: PureOS:261
  * ci: Add config using landing suite
  * d/gbp.conf: Adjust for crimson
  * d/supported-versions: Adjust to upstream changes

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Wed, 21 Jun 2023 10:14:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,14 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
-Uploaders:
- Martin Pitt <mpitt@debian.org>,
- Christoph Berg <myon@debian.org>,
- Peter Eisentraut <petere@debian.org>,
+Maintainer: PureOS Maintainers <pureos-project@lists.puri.sm>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/postgresql/postgresql-common.git
-Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-common
 Build-Depends:
  debhelper-compat (= 13),
+Vcs-Git: https://source.puri.sm/pureos/packages/postgresql-common.git
+Vcs-Browser: https://source.puri.sm/pureos/packages/postgresql-common
 
 Package: postgresql-common
 Architecture: all

## postgresql-common 252

=== debian/changelog ===
postgresql-common (252) unstable; urgency=medium

  * pg_upgradecluster: Add --keep-on-error option.
  * PgCommon get_db_locales: PG16 removes lc_ctype and lc_collate GUCs, query
    pg_database instead.
  * t/050_encodings.t: Revert back to old LC_ALL=C behavior.

 -- Christoph Berg <myon@debian.org>  Sat, 01 Jul 2023 20:45:40 +0200

postgresql-common (251) unstable; urgency=medium

  * Refresh pgdg/apt.postgresql.org.sh.

 -- Christoph Berg <myon@debian.org>  Fri, 30 Jun 2023 12:42:37 +0200

postgresql-common (250) experimental; urgency=medium

  * server/postgresql.mk: Fix ignoring test failures on alpha; ignore test
    results on hppa and sparc64.
  * pg_upgradecluster: Remove vacuum_defer_cleanup_age in PG16.

 -- Christoph Berg <myon@debian.org>  Wed, 24 May 2023 10:41:06 +0200

postgresql-common (249) experimental; urgency=medium

  * Merge postmaster.1.gz alternatives into psql.1.gz link group.
  * Test-Depend on postgresql-doc to test the man3 alternatives.
  * Depend on sysvinit-utils alternatively to obsolete lsb-base.
  * server/postgresql.mk: Allow setting MAJOR_PKG for custom server packages.
  * server/catversion: Also extract catalog file version number.
  * debian/maintscripts-functions: Support flavored server packages.
  * testsuite: Support flavored server packages (testsuite -F ee).
  * pg_upgradecluster: Copy encryption_key_command from old cluster to support
    PostgreSQL TDE.
  * pg_backupcluster, t/045_backup.t: Handle icu-encoded clusters and
    databases.
  * pg_backupcluster: Support passing --checkpoint=fast to pg_basebackup.
  * pg_restorecluster: Pass extra pg_createcluster arguments after --.
  * t/050_encodings.t: Accept en_US_POSIX-encoded cluster with LANG=C on PG16.
  * pg_upgradecluster, t/052_upgrade_encodings.t: Preserve ICU locale when
    upgrading from PG15+.
  * debian/tests/default-psql: Mark as skippable and honor createcluster.d.

 -- Christoph Berg <myon@debian.org>  Wed, 10 May 2023 21:11:56 +0200

## postgresql-common 253

=== debian/changelog ===
postgresql-common (253) unstable; urgency=medium

  * pg_upgradecluster: Remove db_user_namespace in PG17.
  * t/045_backup.t: Relax analyze_count check that's flaky on s390x.
  * pgdg/apt.postgresql.org.sh: Allow multiple versions in -v.

 -- Christoph Berg <myon@debian.org>  Wed, 09 Aug 2023 11:51:21 +0200

## postgresql-common 254

=== debian/changelog ===
postgresql-common (254) unstable; urgency=medium

  * /etc/postgresql-common/pg_upgradecluster.d/analyze: Automatically analyze
    databases after upgrade.
  * pg_upgradecluster: drop hard-coded analyze used in dump mode only.
  * server: Ignore test results on ia64 and sh4.
  * pg_upgradecluster: Honor --keep-on-error not just for failing upgrade
    scripts; properly start old cluster again after errors. On PG15+, move
    pg_upgrade output from pg_upgrade_output.d to /var/log/postgresql/.
    Remove force_parallel_mode in PG16+.
  * Thanks to Dagfinn Ilmari Mannsåker for helping with the patches!
  * Remove /usr/share/postgresql-common/upgrade-scripts, upgrade scripts for
    postgresql-common itself. I believe this functionality was never used.
  * pgdg/apt.postgresql.org.sh: Set umask 022.

 -- Christoph Berg <myon@debian.org>  Thu, 07 Sep 2023 11:12:30 +0200

## postgresql-common 255

=== debian/changelog ===
postgresql-common (255) unstable; urgency=medium

  * PgCommon.pm: Set defined path in prepare_exec. Thanks Niko Tyni!
  * debian/supported-versions: Add 16 as default version.

 -- Christoph Berg <myon@debian.org>  Thu, 14 Sep 2023 10:35:53 +0200

## postgresql-common 256

=== debian/changelog ===
postgresql-common (256) unstable; urgency=medium

  * pg_upgradecluster: Remove old_snapshot_threshold in PG17.
  * Install pg_bsd_indent and pgindent into server-dev in PG17.
  * pg_buildext: words containing PGVERSIONS are replaced by a list of
    words with versions filled in. Most useful in Build-Depends.
  * pg_buildext: Add actions run and run_installed.
  * server/postgresql.mk: Grab LLVM version from B-D instead of autodetecting.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Nov 2023 16:25:17 +0100

## postgresql-common 257build1

=== debian/changelog ===
postgresql-common (257build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:15:57 +0200

postgresql-common (257) unstable; urgency=medium

  * Move systemd unit files to /usr on releases that support it.
  * debian/maintscripts-functions: More carefully build update-alternatives
    command line. Hopefully fixes "link and path can't be the same" errors.
  * debian/maintscripts-functions: Remove empty /usr/share/man/ directories.
  * pg_backupcluster: Add hostname, machine-id, and machine-deployment (from
    /etc/machine-info) to backup status; use machine-readable timestamps for
    starttime/endtime; sort keys.
  * pg_upgradecluster: Skip upgrade scripts when --no-start is given.
  * pg_upgradecluster: Pass --jobs to analyze script. (Closes: #1054179)
  * debian/po/sv.po: Updated Swedish translation by Martin Bagge and Anders
    Jonsson, thanks! (Closes: #1059169)

 -- Christoph Berg <myon@debian.org>  Thu, 08 Feb 2024 13:32:31 +0100

## postgresql-common 257build1.1

=== debian/changelog ===
postgresql-common (257build1.1) noble-proposed; urgency=medium

  * SRU: LP: #2076340: No-change rebuild to pick up changed build flags
    on ppc64 and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 09 Aug 2024 04:33:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,18 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: PureOS Maintainers <pureos-project@lists.puri.sm>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Uploaders:
+ Martin Pitt <mpitt@debian.org>,
+ Christoph Berg <myon@debian.org>,
+ Peter Eisentraut <petere@debian.org>,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/postgresql/postgresql-common.git
+Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-common
 Build-Depends:
  debhelper-compat (= 13),
-Vcs-Git: https://source.puri.sm/pureos/packages/postgresql-common.git
-Vcs-Browser: https://source.puri.sm/pureos/packages/postgresql-common
 
 Package: postgresql-common
 Architecture: all
@@ -19,7 +23,7 @@
  adduser,
  debconf (>= 0.5.00) | debconf-2.0,
  libjson-perl,
- lsb-base (>= 3.0-3),
+ sysvinit-utils (>= 3.05-4~) | lsb-base,
  postgresql-client-common (= ${source:Version}),
  ssl-cert (>= 1.0.11),
  ucf,

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,8 @@
 	dh_installinit -ppostgresql-common --name=postgresql -u'defaults 19 21' --no-stop-on-upgrade
 override_dh_installsystemd:
 	dh_installsystemd --no-stop-on-upgrade
+	# move unit files to /usr on systems that support it
+	if test -x /usr/bin/dh_movetousr; then dh_movetousr; fi
 
 override_dh_gencontrol:
 	dh_gencontrol -ppostgresql-server-dev-all -- -Vserver-dev-all-depends="$(foreach v,$(SUPPORTED_VERSIONS),postgresql-server-dev-$v,)"

## postgresql-common 257build1.1trisquel2

=== debian/changelog ===
postgresql-common (257build1.1trisquel2) ecne; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 08 Oct 2024 17:39:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Martin Pitt <mpitt@debian.org>,

## postgresql-common 261

=== debian/changelog ===
postgresql-common (261) unstable; urgency=medium

  * server/postgresql.mk: Use --enable-dtrace only on Linux.
  * pg_createcluster: Internally set LC_NUMERIC=C to ensure version
    comparisons use '.' as separator.
  * t/045_backup.t: ALTER SYSTEM needs 9.4+.

 -- Christoph Berg <myon@debian.org>  Tue, 25 Jun 2024 14:04:23 +0200

postgresql-common (260) unstable; urgency=medium

  * t/020_create_sql_remove.t: Skip plpython3 tests on 9.x and Python 3.12+.

 -- Christoph Berg <myon@debian.org>  Thu, 09 May 2024 17:10:04 +0200

postgresql-common (259) unstable; urgency=medium

  * pg_backupcluster, pg_restorecluster: Let `pg_restore --create` handle
    database creation and restore of database options and grants.
    (Removes databases.sql from dumps.)
  * PgCommon.pm get_db_encoding: Refactor for dropped daticulocale in 17.
  * pg_buildext: Pass PG_VIRTUALENV_ARGS to pg_virtualenv.

 -- Christoph Berg <myon@debian.org>  Mon, 15 Apr 2024 14:09:12 +0200

postgresql-common (258) unstable; urgency=medium

  * server/postgresql.mk: Add Build-Profile pkg.postgresql.nollvm to disable
    JIT.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Mar 2024 17:10:46 +0100

## postgresql-common 262

=== debian/changelog ===
postgresql-common (262) unstable; urgency=medium

  * Chown /var/tmp/postgresql-* to postgres so catversion bump instructions do
    not require root. Spotted by Greg Smith, thanks.
  * Ignore test results on powerpc.

 -- Christoph Berg <myon@debian.org>  Thu, 08 Aug 2024 16:37:01 +0200

## postgresql-common 262.pgdg+1

=== debian/changelog ===
postgresql-common (262.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 08 Aug 2024 16:37:01 +0200

## postgresql-common 264

=== pgdg/Makefile ===
all:
	if [ -f $(HOME)/apt.postgresql.org/pgapt.conf ]; then ./update; fi

=== debian/changelog ===
postgresql-common (264) unstable; urgency=medium

  * postgresql-all: Drop dependency on postgresql-contrib-*.
  * Remove remaining traces of python2 compatibility code.
  * debian/postgresql-common.tmpfile: Rename to .tmpfiles.
  * t/027_jit.t: Skip JIT tests in 11.
  * t/045_backup.t: Fix test running on 9.x without systemd.

 -- Christoph Berg <myon@debian.org>  Thu, 26 Sep 2024 14:06:48 +0200

postgresql-common (263) unstable; urgency=medium

  [ Christoph Berg ]
  * pg_buildext: Set PROVE_FLAGS=--verbose in installcheck.
  * debian/supported-versions: Add 17 as default version.
  * Most extension packages will now default to supporting only 64-bit
    architectures. Enable the pkg.postgresql.32-bit build profile to revert
    for local builds.

  [ Andreas Karlsson ]
  * pg_ctlcluster: Add logrotate action

 -- Christoph Berg <myon@debian.org>  Tue, 10 Sep 2024 13:03:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Martin Pitt <mpitt@debian.org>,
  Christoph Berg <myon@debian.org>,

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,6 @@
 endif
 SUPPORTED_VERSIONS := $(shell PG_SUPPORTED_VERSIONS="$(FLAVOR)" debian/supported-versions)
 DEFAULT_VER := $(lastword $(SUPPORTED_VERSIONS))
-
-#py2#PYTHON2_PACKAGE=postgresql-plpython-$v
 
 %:
 	dh $@
@@ -40,6 +38,6 @@
 		-Vdefault-version="$(DEFAULT_VER)" -v'$(DEFAULT_VER)+$${source:Version}'
 
 	dh_gencontrol -ppostgresql-all -- \
-		-Vpostgresql-all-depends="$(foreach v,$(SUPPORTED_VERSIONS),postgresql-contrib-$v,postgresql-plperl-$v,$(if $(filter 8.% 9.% 10 11, $v), $(PYTHON2_PACKAGE)),postgresql-plpython3-$v,postgresql-pltcl-$v,)"
+		-Vpostgresql-all-depends="$(foreach v,$(SUPPORTED_VERSIONS),postgresql-$v,postgresql-plperl-$v,postgresql-plpython3-$v,postgresql-pltcl-$v,)"
 
 	dh_gencontrol --remaining-packages

## postgresql-common 264.pgdg+1

=== debian/changelog ===
postgresql-common (264.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 26 Sep 2024 14:06:48 +0200

## postgresql-common 265

=== debian/changelog ===
postgresql-common (265) unstable; urgency=medium

  * Add libio-pty-perl to postgresql-client-common depends for extension
    tests.

 -- Christoph Berg <myon@debian.org>  Mon, 21 Oct 2024 16:50:44 +0200

## postgresql-common 267

=== debian/changelog ===
postgresql-common (267) unstable; urgency=medium

  * t/027_jit.t: No jit for PG18+ on Ubuntu focal.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Nov 2024 11:54:02 +0100

postgresql-common (266) unstable; urgency=medium

  * pg_upgradecluster: Support upgrades to 18 with data checksums disabled.
  * Fix pg_backupcluster with data checksums enabled.

 -- Christoph Berg <myon@debian.org>  Thu, 14 Nov 2024 14:53:36 +0100

=== debian/control ===
--- 
+++ 
@@ -60,6 +60,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
+ libipc-run-perl,
  netbase,
  ${misc:Depends},
  ${perl:Depends},
